Subject: Directorates (was: Formalizing design teams)

From: Jari Arkko <[email-masked]>
Date: Sat, 21 Dec 2002 08:38:36 +0200

John writes:

 > As long as design teams are open & transparent and not formalized into
 > the WG.  Design teams sometimes smell of wg cliques - who secretely control
 > the WG / IETF process (no, wait, it is the directorates who fly into IETF
 > meetings in black helicopters who control the IETF process ...)

Since you raised this matter... perhaps someone could educate me on how and
where the IETF uses directorates? There seems to be a couple of open ones, such as
the SAAG which I like. Then there may be some much more closed ones. Or is
there? Is there a web page somewhere for the directorates or are they explained
some RFC?

For instance, I've heard about the "wireless directorate" a couple of times.
What is that, who is the member and where are its results documented? Or
maybe its existence has just been a rumor. But search.ietf.org does give
some hits for it. And what was "IPng directorate", which also gets some hits?

Anyways, if there is a wireless directorate somewhere, it would be really
nice to get some more information from it. I probably work with wireless as much
as the next guy, and it'd be quite useful to get some input from such a forum
for certain issues.

Jari

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 21 Dec 2002 10:32:27 +0100

> nice to get some more information from it.

Jari,

since the ADs are (I hope) sleeping at this time, some quick info (to 
minimize black helicopter theories :-):

The "Wireless Directorate" is the set of TSV chairs that work on 
wireless related issues plus one or two co-opted people (essentially 
security, I think).
We try to have a monthly phone conference and to have a lunch meeting 
at each IETF, with a recent drop in activity.
Very little in the way of conspiracies, more about mutual alerting 
about issues that might hit other WG chairs/the ADs (and about simply 
knowing each other better).

Gruesse, Carsten

---

From: Margaret Wasserman <[email-masked]>
Date: Sat, 21 Dec 2002 06:39:31 -0500

Hi Jari,

Directorates are as varied and informal as the rest of the IETF.
ADs form them when they feel that a particular issue or technical
area could benefit from an advisory team.  They have no official
power in the IETF, but can have influence over the ADs and/or over
work in certain areas.

Some directorates are more formal and long-lived.  They have
goals, charters, regular meetings...  While others are more
free-form, and may just consist of a mailing list.

Formalizing "area directorates" is one suggestion I've heard
for how IESG members might delegate more work to a larger group
of people.  Of course, then ADs would have to run the directorate,
attend the meetings, etc.  So, the result may not be less work
for the AD.

A more likely way for ADs to delegate work would be to actually
delegate it -- delegate it to individuals and/or form groups of
people who are encouraged to meet and do work without the AD's
direct supervision and presence...  In my experience, this isn't
widely done, outside of closed design teams, and I wonder why.
Are there past experiences that indicate that encouraging WGs or
groups of WG chairs to meet and resolve issues without direct
AD supervision is a Bad Idea?

>And what was "IPng directorate", which also gets some hits?

The IPng (or IPv6) directorate was a cross-area group of people
with expertise in IPv6.  Although there is still a mailing list
for this group, it has not been active in several years.

Margaret